## i3status 1.2

=== Makefile ===
CFLAGS+=-Wall -Wshadow -Wpointer-arith -Wcast-qual -Wsign-compare
CFLAGS+=-g
CFLAGS+=-std=gnu99
CFLAGS+=-pedantic
CFLAGS+=-DPREFIX=\"\"

VERSION=$(shell git describe --tags --abbrev=0)

ifeq ($(shell uname),Linux)
CFLAGS+=-DLINUX
CFLAGS+=-D_GNU_SOURCE
endif

# Define this if you want i3status to spit out dzen2-compatible output on stdout
#CFLAGS+=-DDZEN
CFLAGS+=$(EXTRA_CFLAGS)

%.o: %.c %.h
	$(CC) $(CFLAGS) -c -o $@ $<

i3status: i3status.o

clean:
	rm -f *.o

distclean: clean
	rm -f i3status

install:
	install -m 755 -d $(DESTDIR)/usr/bin
	install -m 755 -d $(DESTDIR)/etc
	install -m 755 -d $(DESTDIR)/usr/share/man/man1
	install -m 755 i3status $(DESTDIR)/usr/bin/i3status
	install -m 644 i3status.conf $(DESTDIR)/etc/i3status.conf
	install -m 644 i3status.1 $(DESTDIR)/usr/share/man/man1

release:
	[ -f i3status-${VERSION} ] || rm -rf i3status-${VERSION}
	mkdir i3status-${VERSION}
	find . -maxdepth 1 -type f \( -regex ".*\.\(c\|conf\|1\|h\)" -or -name "Makefile" \) -exec cp '{}' i3status-${VERSION} \;
	tar cjf i3status-${VERSION}.tar.bz2 i3status-${VERSION}
	rm -rf i3status-${VERSION}

all: i3status

## i3status 2.0

=== Makefile ===
CFLAGS+=-Wall -Wshadow -Wpointer-arith -Wcast-qual -Wsign-compare
CFLAGS+=-g
CFLAGS+=-std=gnu99
CFLAGS+=-pedantic
CFLAGS+=-DPREFIX=\"\"
CFLAGS+=-I.
LDFLAGS+=-lconfuse

VERSION=$(shell git describe --tags --abbrev=0)

ifeq ($(shell uname),Linux)
CFLAGS+=-DLINUX
CFLAGS+=-D_GNU_SOURCE
LDFLAGS+=-liw
endif

ifeq ($(shell uname),GNU/kFreeBSD)
CFLAGS+=-lbsd
endif

# Define this if you want i3status to spit out dzen2-compatible output on stdout
#CFLAGS+=-DDZEN
CFLAGS+=$(EXTRA_CFLAGS)

OBJS:=$(wildcard src/*.c *.c)
OBJS:=$(OBJS:.c=.o)

src/%.o: src/%.c
	@$(CC) $(CFLAGS) -c -o $@ $<
	@echo " CC $<"

%.o: %.c %.h
	@$(CC) $(CFLAGS) -c -o $@ $<
	@echo " CC $<"

all: i3status manpage

i3status: ${OBJS}
	@$(CC) -o $@ src/*.o *.o $(LDFLAGS)
	@echo " LD $@"

clean:
	rm -f *.o src/*.o

distclean: clean
	rm -f i3status

manpage:
	make -C man

install:
	install -m 755 -d $(DESTDIR)/usr/bin
	install -m 755 -d $(DESTDIR)/etc
	install -m 755 -d $(DESTDIR)/usr/share/man/man1
	install -m 755 i3status $(DESTDIR)/usr/bin/i3status
	install -m 644 i3status.conf $(DESTDIR)/etc/i3status.conf
	install -m 644 man/i3status.1 $(DESTDIR)/usr/share/man/man1

release:
	[ -f i3status-${VERSION} ] || rm -rf i3status-${VERSION}
	mkdir i3status-${VERSION}
	find . -maxdepth 1 -type f \( -regex ".*\.\(c\|conf\|h\)" -or -name "Makefile" -or -name "LICENSE" \) -exec cp '{}' i3status-${VERSION} \;
	mkdir i3status-${VERSION}/src
	mkdir i3status-${VERSION}/man
	find src -maxdepth 1 -type f \( -regex ".*\.\(c\|h\)" \) -exec cp '{}' i3status-${VERSION}/src \;
	find man -maxdepth 1 -type f \( -regex ".*\.\(1\|man\|conf\)" -or -name "Makefile" \) -exec cp '{}' i3status-${VERSION}/man \;
	tar cjf i3status-${VERSION}.tar.bz2 i3status-${VERSION}
	rm -rf i3status-${VERSION}

=== man/Makefile ===
all:
	a2x -f manpage --asciidoc-opts="-f asciidoc.conf" i3status.man
clean:
	rm -f i3status.xml i3status.1 i3status.html

## i3status 2.1

=== Makefile ===
--- 
+++ 
@@ -53,6 +53,8 @@
 	install -m 755 -d $(DESTDIR)/etc
 	install -m 755 -d $(DESTDIR)/usr/share/man/man1
 	install -m 755 i3status $(DESTDIR)/usr/bin/i3status
+	# Allow network configuration for getting the link speed
+	(which setcap && setcap cap_net_admin=ep $(DESTDIR)/usr/bin/i3status) || true
 	install -m 644 i3status.conf $(DESTDIR)/etc/i3status.conf
 	install -m 644 man/i3status.1 $(DESTDIR)/usr/share/man/man1

=== man/Makefile ===
all: i3status.1

i3status.1: asciidoc.conf i3status.man
	a2x -f manpage --asciidoc-opts="-f asciidoc.conf" i3status.man
clean:
	rm -f i3status.xml i3status.1 i3status.html

## i3status 2.2

=== Makefile ===
--- 
+++ 
@@ -1,25 +1,36 @@
+ifndef PREFIX
+  PREFIX=/usr
+endif
+ifndef SYSCONFDIR
+  ifeq ($(PREFIX),/usr)
+    SYSCONFDIR=/etc
+  else
+    SYSCONFDIR=$(PREFIX)/etc
+  endif
+endif
+
 CFLAGS+=-Wall -Wshadow -Wpointer-arith -Wcast-qual -Wsign-compare
 CFLAGS+=-g
 CFLAGS+=-std=gnu99
 CFLAGS+=-pedantic
-CFLAGS+=-DPREFIX=\"\"
-CFLAGS+=-I.
+CFLAGS+=-DSYSCONFDIR=\"$(SYSCONFDIR)\"
+CFLAGS+=-DVERSION=\"${GIT_VERSION}\"
+CFLAGS+=-Iinclude
 LDFLAGS+=-lconfuse
 
-VERSION=$(shell git describe --tags --abbrev=0)
+VERSION=2.2
+GIT_VERSION="2.2 (2010-09-23)"
 
 ifeq ($(shell uname),Linux)
 CFLAGS+=-DLINUX
 CFLAGS+=-D_GNU_SOURCE
-LDFLAGS+=-liw
+LDFLAGS+=-liw -lasound
 endif
 
 ifeq ($(shell uname),GNU/kFreeBSD)
 CFLAGS+=-lbsd
 endif
 
-# Define this if you want i3status to spit out dzen2-compatible output on stdout
-#CFLAGS+=-DDZEN
 CFLAGS+=$(EXTRA_CFLAGS)
 
 OBJS:=$(wildcard src/*.c *.c)
@@ -66,5 +77,7 @@
 	mkdir i3status-${VERSION}/man
 	find src -maxdepth 1 -type f \( -regex ".*\.\(c\|h\)" \) -exec cp '{}' i3status-${VERSION}/src \;
 	find man -maxdepth 1 -type f \( -regex ".*\.\(1\|man\|conf\)" -or -name "Makefile" \) -exec cp '{}' i3status-${VERSION}/man \;
+	cp -r include i3status-${VERSION}
+	sed -e 's/^GIT_VERSION:=\(.*\)/GIT_VERSION=${GIT_VERSION}/g;s/^VERSION:=\(.*\)/VERSION=${VERSION}/g' Makefile > i3status-${VERSION}/Makefile
 	tar cjf i3status-${VERSION}.tar.bz2 i3status-${VERSION}
 	rm -rf i3status-${VERSION}

## i3status 2.3

=== Makefile ===
--- 
+++ 
@@ -13,22 +13,23 @@
 CFLAGS+=-g
 CFLAGS+=-std=gnu99
 CFLAGS+=-pedantic
-CFLAGS+=-DSYSCONFDIR=\"$(SYSCONFDIR)\"
-CFLAGS+=-DVERSION=\"${GIT_VERSION}\"
+CPPFLAGS+=-DSYSCONFDIR=\"$(SYSCONFDIR)\"
+CPPFLAGS+=-DVERSION=\"${GIT_VERSION}\"
 CFLAGS+=-Iinclude
-LDFLAGS+=-lconfuse
+LIBS+=-lconfuse
 
-VERSION=2.2
-GIT_VERSION="2.2 (2010-09-23)"
+VERSION=2.3
+GIT_VERSION="2.3 (2011-07-21)"
 
 ifeq ($(shell uname),Linux)
-CFLAGS+=-DLINUX
-CFLAGS+=-D_GNU_SOURCE
-LDFLAGS+=-liw -lasound
+CPPFLAGS+=-DLINUX
+CPPFLAGS+=-D_GNU_SOURCE
+LIBS+=-liw
+LIBS+=-lasound
 endif
 
 ifeq ($(shell uname),GNU/kFreeBSD)
-CFLAGS+=-lbsd
+LIBS+=-lbsd
 endif
 
 CFLAGS+=$(EXTRA_CFLAGS)
@@ -37,17 +38,17 @@
 OBJS:=$(OBJS:.c=.o)
 
 src/%.o: src/%.c
-	@$(CC) $(CFLAGS) -c -o $@ $<
+	@$(CC) $(CPPFLAGS) $(CFLAGS) -c -o $@ $<
 	@echo " CC $<"
 
-%.o: %.c %.h
-	@$(CC) $(CFLAGS) -c -o $@ $<
+%.o: %.c include/%.h
+	@$(CC) $(CPPFLAGS) $(CFLAGS) -c -o $@ $<
 	@echo " CC $<"
 
 all: i3status manpage
 
 i3status: ${OBJS}
-	@$(CC) -o $@ src/*.o *.o $(LDFLAGS)
+	@$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)
 	@echo " LD $@"
 
 clean:
@@ -57,7 +58,7 @@
 	rm -f i3status
 
 manpage:
-	make -C man
+	$(MAKE) -C man
 
 install:
 	install -m 755 -d $(DESTDIR)/usr/bin

## i3status 2.4

=== Makefile ===
--- 
+++ 
@@ -18,8 +18,8 @@
 CFLAGS+=-Iinclude
 LIBS+=-lconfuse
 
-VERSION=2.3
-GIT_VERSION="2.3 (2011-07-21)"
+VERSION=2.4
+GIT_VERSION="2.4 (2011-12-27)"
 
 ifeq ($(shell uname),Linux)
 CPPFLAGS+=-DLINUX
@@ -61,14 +61,14 @@
 	$(MAKE) -C man
 
 install:
-	install -m 755 -d $(DESTDIR)/usr/bin
-	install -m 755 -d $(DESTDIR)/etc
-	install -m 755 -d $(DESTDIR)/usr/share/man/man1
-	install -m 755 i3status $(DESTDIR)/usr/bin/i3status
+	install -m 755 -d $(DESTDIR)$(PREFIX)/bin
+	install -m 755 -d $(DESTDIR)$(SYSCONFDIR)
+	install -m 755 -d $(DESTDIR)$(PREFIX)/share/man/man1
+	install -m 755 i3status $(DESTDIR)$(PREFIX)/bin/i3status
 	# Allow network configuration for getting the link speed
-	(which setcap && setcap cap_net_admin=ep $(DESTDIR)/usr/bin/i3status) || true
-	install -m 644 i3status.conf $(DESTDIR)/etc/i3status.conf
-	install -m 644 man/i3status.1 $(DESTDIR)/usr/share/man/man1
+	(which setcap && setcap cap_net_admin=ep $(DESTDIR)$(PREFIX)/bin/i3status) || true
+	install -m 644 i3status.conf $(DESTDIR)$(SYSCONFDIR)/i3status.conf
+	install -m 644 man/i3status.1 $(DESTDIR)$(PREFIX)/share/man/man1
 
 release:
 	[ -f i3status-${VERSION} ] || rm -rf i3status-${VERSION}

## i3status 2.5.1

=== Makefile ===
--- 
+++ 
@@ -17,9 +17,10 @@
 CPPFLAGS+=-DVERSION=\"${GIT_VERSION}\"
 CFLAGS+=-Iinclude
 LIBS+=-lconfuse
+LIBS+=-lyajl
 
-VERSION=2.4
-GIT_VERSION="2.4 (2011-12-27)"
+VERSION=2.5.1
+GIT_VERSION="2.5.1 (2012-05-11)"
 
 ifeq ($(shell uname),Linux)
 CPPFLAGS+=-DLINUX
@@ -32,7 +33,17 @@
 LIBS+=-lbsd
 endif
 
+ifeq ($(shell uname),OpenBSD)
+CFLAGS+=-I/usr/local/include/
+LDFLAGS+=-L/usr/local/lib/
+LIBS+=-lossaudio
+endif
+
 CFLAGS+=$(EXTRA_CFLAGS)
+
+# Fallback for libyajl 1 which did not include yajl_version.h. We need
+# YAJL_MAJOR from that file to decide which code path should be used.
+CFLAGS += -idirafter yajl-fallback
 
 OBJS:=$(wildcard src/*.c *.c)
 OBJS:=$(OBJS:.c=.o)
@@ -55,7 +66,7 @@
 	rm -f *.o src/*.o
 
 distclean: clean
-	rm -f i3status
+	rm -f i3status man/i3status.1
 
 manpage:
 	$(MAKE) -C man
@@ -73,12 +84,13 @@
 release:
 	[ -f i3status-${VERSION} ] || rm -rf i3status-${VERSION}
 	mkdir i3status-${VERSION}
-	find . -maxdepth 1 -type f \( -regex ".*\.\(c\|conf\|h\)" -or -name "Makefile" -or -name "LICENSE" \) -exec cp '{}' i3status-${VERSION} \;
+	find . -maxdepth 1 -type f \( -regex ".*\.\(c\|conf\|h\)" -or -name "Makefile" -or -name "LICENSE" -or -name "CHANGELOG" \) -exec cp '{}' i3status-${VERSION} \;
 	mkdir i3status-${VERSION}/src
 	mkdir i3status-${VERSION}/man
 	find src -maxdepth 1 -type f \( -regex ".*\.\(c\|h\)" \) -exec cp '{}' i3status-${VERSION}/src \;
 	find man -maxdepth 1 -type f \( -regex ".*\.\(1\|man\|conf\)" -or -name "Makefile" \) -exec cp '{}' i3status-${VERSION}/man \;
 	cp -r include i3status-${VERSION}
+	cp -r yajl-fallback i3status-${VERSION}
 	sed -e 's/^GIT_VERSION:=\(.*\)/GIT_VERSION=${GIT_VERSION}/g;s/^VERSION:=\(.*\)/VERSION=${VERSION}/g' Makefile > i3status-${VERSION}/Makefile
 	tar cjf i3status-${VERSION}.tar.bz2 i3status-${VERSION}
 	rm -rf i3status-${VERSION}

=== debian/changelog ===
i3status (2.5.1-1) unstable; urgency=low

  * New upstream release

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 11 May 2012 22:21:50 +0200

i3status (2.5-1) unstable; urgency=low

  * New upstream release
  * Bump standards version (no changes necessary)
  * Email change: Michael Stapelberg -> stapelberg@debian.org
  * Convert packaging to 3.0 (quilt)

 -- Michael Stapelberg <stapelberg@debian.org>  Wed, 02 May 2012 17:31:48 +0200

i3status (2.4-1) unstable; urgency=low

  * Support wifi, cpu usage, volume, disk usage on FreeBSD
  * Don’t exit, but display an error when CPU temperature/usage/load is not
    available
  * manpage: load format is %1min %5min %15min
  * Don’t use a default order, so that config files can use += everywhere
  * Interpret configfiles case-insensitive
  * battery: implement path option for batteries with non-standard paths

 -- Michael Stapelberg <michael@stapelberg.de>  Tue, 27 Dec 2011 00:20:49 +0100

i3status (2.3-2) unstable; urgency=low

  [ Axel Beckert ]
  * Fix missing build-dependency on kfreebsd (Closes: #635104).

 -- Michael Stapelberg <michael@stapelberg.de>  Sat, 23 Jul 2011 18:28:59 +0200

i3status (2.3-1) unstable; urgency=low

  [ Michael Stapelberg ]
  * config search order is now ~/.i3status.conf, ~/.config/i3status/config,
    /etc/i3status/config, then /etc/xdg/i3status/config
  * battery: use POWER_NOW if CURRENT_NOW is not available (linux >= 2.6.36)
  * use kill(0, pid) instead of /proc to check if a process is alive
  * cache DNS query results also if there is no IPv6 connectivity
  * implement the 'path' option for cpu_temperature
  * add cpu_usage module
  * automatically detect the output format unless configured specifically
  * Bugfix: get time at the beginning of the loop
  * Bugfix: respect locale settings (for %c in date format)
  * debian: use [linux-any] in dependencies (Closes: #634491)

  [ Axel Beckert ]
  * Fix FTBFS on kfreebsd.

 -- Michael Stapelberg <michael@stapelberg.de>  Thu, 21 Jul 2011 21:22:54 +0200

i3status (2.2-1) unstable; urgency=low

  * Implement a discordian date module (like ddate(1))
  * Implement ALSA volume support
  * disk: implement %avail (different from %free with regard to the reserved
    space of your filesystem)
  * wireless: display quality relative to the wireless maximum quality.
  * wireless: display connection speed (bitrate)
  * wireless: custom colors for link quality
  * Bugfix: Treat an interface as 'down' when it cannot be found in
    /proc/net/wireless
  * Bugfix: Correctly check for interface up/down status

 -- Michael Stapelberg <michael@stapelberg.de>  Wed, 22 Sep 2010 20:07:48 +0200

i3status (2.1-1) unstable; urgency=low

  * battery: implement %emptytime, the time of day when your battery is empty
  * ipv6: cache DNS query lookups (for finding the K root server)
  * disk: also round when printing TB
  * wireless: display no IP instead of (null)
  * instead of a relative sleep(1), sleep until the full second
  * colorize ethernet output
  * use cap_net_admin instead of running i3status as root for getting
    ethernet link speed
  * ipv6: don't require a title for config option
  * ipv6: provide format strings for ipv6 up and ipv6 down

 -- Michael Stapelberg <michael@stapelberg.de>  Sat, 10 Apr 2010 23:48:52 +0200

i3status (2.0-1) unstable; urgency=low

  * add support for disk info (free/used/ins)
  * add support for displaying the ESSID of the wireless interface
  * add support for getting the public IPv6 address of the system
  * all "modules" now support format strings
  * switch to libconfuse for parsing the config file
  * merge support for FreeBSD for many "modules"
  * drop support for wmii, add support for xmobar

 -- Michael Stapelberg <michael@stapelberg.de>  Tue, 27 Oct 2009 20:07:58 +0100

i3status (1.2-3) unstable; urgency=low

  * debian: Correct dependencies in /etc/init.d/i3status-wmii (Closes: #541626)
  * debian: init script should not require root priviledges even to get the
    usage information (Closes: #541627)
  * debian: better error message when i3status-wmii is not enabled using
    /etc/defaults/i3status-wmii (Closes: #541628)

 -- Michael Stapelberg <michael@stapelberg.de>  Mon, 17 Aug 2009 14:57:49 +0200

i3status (1.2-2) unstable; urgency=low

  * debian: use make distclean instead of make clean between both builds

 -- Michael Stapelberg <michael@stapelberg.de>  Mon, 22 Jun 2009 19:04:22 +0200

i3status (1.2-1) unstable; urgency=low

  * Handle SIGPIPE to avoid zombie processes
  * debian: only build one package containing both binaries

 -- Michael Stapelberg <michael@stapelberg.de>  Sun, 21 Jun 2009 13:58:03 +0200

i3status (1.1-1) unstable; urgency=low

  * Implement getting temperature from thermal zones (Thanks atsutane)
  * debian: Build a separate package with i3status in wmii mode

 -- Michael Stapelberg <michael@stapelberg.de>  Wed, 17 Jun 2009 21:35:37 +0200

i3status (1.0-1) unstable; urgency=low

  * Initial release
  * Closes: #526520

 -- Michael Stapelberg <michael@stapelberg.de>  Fri, 01 May 2009 19:52:45 +0200

=== debian/control ===
Source: i3status
Section: utils
Priority: extra
Maintainer: Michael Stapelberg <stapelberg@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~), libiw-dev [linux-any], libconfuse-dev, asciidoc, xmlto, libcap2-bin [linux-any], libasound2-dev [linux-any], libbsd-dev [kfreebsd-any], libyajl-dev
Standards-Version: 3.9.3
Homepage: http://i3wm.org/i3status

Package: i3status
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: dzen2 | xmobar | i3-wm, libcap2-bin [linux-any]
Enhances: dzen2, xmobar, i3-wm
Description: Generates a status line for dzen2, xmobar or i3bar
 i3status is a small (about 1500 SLOC) and light-weight program for generating
 a status bar for i3bar, dzen2, xmobar or similar programs by combining several
 information about your system (IP addresses of your interfaces, load, current
 date/time, ESSID of the network you are associated to, disk status, and so on).

=== debian/rules ===
#!/usr/bin/make -f
# vim:ts=8:sw=8:noexpandtab

build: build-stamp
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh build
	touch $@

clean: 
	dh clean

install: build install-stamp
install-stamp:
	dh install
	touch $@

binary-arch: install
	dh binary-arch

binary-indep: install
	dh binary-indep

binary: binary-arch binary-indep

override_dh_auto_build:
	$(MAKE)

override_dh_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/i3status/ install

=== debian/watch ===
version=3
http://i3.zekjur.net/i3status/	.*/i3status/i3status-(\d[\d_.-]+)\.tar\.bz2$

## i3status 2.7

=== Makefile ===
--- 
+++ 
@@ -19,8 +19,8 @@
 LIBS+=-lconfuse
 LIBS+=-lyajl
 
-VERSION=2.5.1
-GIT_VERSION="2.5.1 (2012-05-11)"
+VERSION=2.7
+GIT_VERSION="2.7 (2013-02-27)"
 
 ifeq ($(shell uname),Linux)
 CPPFLAGS+=-DLINUX
@@ -39,6 +39,13 @@
 LIBS+=-lossaudio
 endif
 
+# This probably applies for any pkgsrc based system
+ifeq ($(shell uname),DragonFly)
+CFLAGS+=-I/usr/pkg/include/
+LDFLAGS+=-L/usr/pkg/lib/
+endif
+
+
 CFLAGS+=$(EXTRA_CFLAGS)
 
 # Fallback for libyajl 1 which did not include yajl_version.h. We need
@@ -48,7 +55,7 @@
 OBJS:=$(wildcard src/*.c *.c)
 OBJS:=$(OBJS:.c=.o)
 
-src/%.o: src/%.c
+src/%.o: src/%.c include/i3status.h
 	@$(CC) $(CPPFLAGS) $(CFLAGS) -c -o $@ $<
 	@echo " CC $<"
 
@@ -91,6 +98,7 @@
 	find man -maxdepth 1 -type f \( -regex ".*\.\(1\|man\|conf\)" -or -name "Makefile" \) -exec cp '{}' i3status-${VERSION}/man \;
 	cp -r include i3status-${VERSION}
 	cp -r yajl-fallback i3status-${VERSION}
+	cp -r contrib i3status-${VERSION}
 	sed -e 's/^GIT_VERSION:=\(.*\)/GIT_VERSION=${GIT_VERSION}/g;s/^VERSION:=\(.*\)/VERSION=${VERSION}/g' Makefile > i3status-${VERSION}/Makefile
 	tar cjf i3status-${VERSION}.tar.bz2 i3status-${VERSION}
 	rm -rf i3status-${VERSION}

=== debian/changelog ===
i3status (2.7-2) unstable; urgency=low

  * experimental to unstable because i3status 2.7 was only in experimental due
    to the freeze.
  * canonicalize vcs fields
  * bump standards-version to 3.9.4 (no changes necessary)
  * Patch Makefile to enable verbose build

 -- Michael Stapelberg <stapelberg@debian.org>  Tue, 18 Jun 2013 08:06:37 +0200

i3status (2.7-1) experimental; urgency=low

  * New upstream release

 -- Michael Stapelberg <stapelberg@debian.org>  Wed, 27 Feb 2013 11:14:56 +0100

i3status (2.6-1) experimental; urgency=low

  * New upstream release
  * Enable hardening
  * Remove unnecessary DMUA flag
  * Add Vcs-Git/Vcs-Browser, move packaging to alioth

 -- Michael Stapelberg <stapelberg@debian.org>  Wed, 03 Oct 2012 13:51:47 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: utils
 Priority: extra
 Maintainer: Michael Stapelberg <stapelberg@debian.org>
-DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50~), libiw-dev [linux-any], libconfuse-dev, asciidoc, xmlto, libcap2-bin [linux-any], libasound2-dev [linux-any], libbsd-dev [kfreebsd-any], libyajl-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://i3wm.org/i3status
+Vcs-Git: git://anonscm.debian.org/users/stapelberg/i3status.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/stapelberg/i3status.git
 
 Package: i3status
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,8 @@
 #!/usr/bin/make -f
 # vim:ts=8:sw=8:noexpandtab
+
+DPKG_EXPORT_BUILDFLAGS = 1
+-include /usr/share/dpkg/buildflags.mk
 
 build: build-stamp
 build-arch: build-stamp
@@ -29,3 +32,4 @@
 
 override_dh_install:
 	$(MAKE) DESTDIR=$(CURDIR)/debian/i3status/ install
+	dh_install

## i3status 2.8

=== Makefile ===
--- 
+++ 
@@ -19,32 +19,44 @@
 LIBS+=-lconfuse
 LIBS+=-lyajl
 
-VERSION=2.7
-GIT_VERSION="2.7 (2013-02-27)"
+VERSION=2.8
+GIT_VERSION="2.8 (2014-01-05)"
+OS:=$(shell uname)
 
-ifeq ($(shell uname),Linux)
+ifeq ($(OS),Linux)
 CPPFLAGS+=-DLINUX
 CPPFLAGS+=-D_GNU_SOURCE
 LIBS+=-liw
 LIBS+=-lasound
 endif
 
-ifeq ($(shell uname),GNU/kFreeBSD)
+ifeq ($(OS),GNU/kFreeBSD)
 LIBS+=-lbsd
 endif
 
-ifeq ($(shell uname),OpenBSD)
+ifeq ($(OS),OpenBSD)
 CFLAGS+=-I/usr/local/include/
 LDFLAGS+=-L/usr/local/lib/
 LIBS+=-lossaudio
 endif
 
+
 # This probably applies for any pkgsrc based system
-ifeq ($(shell uname),DragonFly)
+ifneq (, $(filter $(OS), NetBSD DragonFly))
 CFLAGS+=-I/usr/pkg/include/
 LDFLAGS+=-L/usr/pkg/lib/
 endif
 
+ifeq ($(OS), NetBSD)
+LIBS+= -lprop
+endif
+
+
+V ?= 0
+ifeq ($(V),0)
+# Don’t print command lines which are run
+.SILENT:
+endif
 
 CFLAGS+=$(EXTRA_CFLAGS)
 
@@ -56,17 +68,17 @@
 OBJS:=$(OBJS:.c=.o)
 
 src/%.o: src/%.c include/i3status.h
-	@$(CC) $(CPPFLAGS) $(CFLAGS) -c -o $@ $<
+	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o $@ $<
 	@echo " CC $<"
 
 %.o: %.c include/%.h
-	@$(CC) $(CPPFLAGS) $(CFLAGS) -c -o $@ $<
+	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o $@ $<
 	@echo " CC $<"
 
 all: i3status manpage
 
 i3status: ${OBJS}
-	@$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)
+	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)
 	@echo " LD $@"
 
 clean:

=== man/Makefile ===
all: i3status.1

A2X?=a2x

i3status.1: asciidoc.conf i3status.man
	${A2X} -f manpage --asciidoc-opts="-f asciidoc.conf" i3status.man
clean:
	rm -f i3status.xml i3status.1 i3status.html

=== debian/changelog ===
i3status (2.8-1) unstable; urgency=low

  * New upstream release
  * drop verbose_build.patch (applied upstream)
  * use dh(1) and debhelper 9
  * bump standards-version to 3.9.5 (no changes necessary)
  * debian/watch: add pgpsigurlmangle=, update URL

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 05 Jan 2014 12:46:32 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: extra
 Maintainer: Michael Stapelberg <stapelberg@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), libiw-dev [linux-any], libconfuse-dev, asciidoc, xmlto, libcap2-bin [linux-any], libasound2-dev [linux-any], libbsd-dev [kfreebsd-any], libyajl-dev
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9), libiw-dev [linux-any], libconfuse-dev, asciidoc, xmlto, libcap2-bin [linux-any], libasound2-dev [linux-any], libbsd-dev [kfreebsd-any], libyajl-dev
+Standards-Version: 3.9.5
 Homepage: http://i3wm.org/i3status
 Vcs-Git: git://anonscm.debian.org/users/stapelberg/i3status.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/stapelberg/i3status.git

=== debian/rules ===
#!/usr/bin/make -f
# vim:ts=8:sw=8:noexpandtab

# for verbose builds
export V:=1

override_dh_auto_build:
	$(MAKE)

override_dh_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/i3status/ install
	dh_install

%:
	dh $@

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
  http://i3wm.org/i3status/	.*/i3status/i3status-(\d[\d_.-]+)\.tar\.bz2$

## i3status 2.9

=== Makefile ===
--- 
+++ 
@@ -19,8 +19,8 @@
 LIBS+=-lconfuse
 LIBS+=-lyajl
 
-VERSION=2.8
-GIT_VERSION="2.8 (2014-01-05)"
+VERSION=2.9
+GIT_VERSION="2.9 (2015-03-22)"
 OS:=$(shell uname)
 
 ifeq ($(OS),Linux)
@@ -34,23 +34,24 @@
 LIBS+=-lbsd
 endif
 
-ifeq ($(OS),OpenBSD)
+ifneq (, $(filter $(OS), DragonFly FreeBSD OpenBSD))
 CFLAGS+=-I/usr/local/include/
 LDFLAGS+=-L/usr/local/lib/
+endif
+
+ifeq ($(OS),OpenBSD)
 LIBS+=-lossaudio
 endif
 
+ifeq ($(OS), NetBSD)
+LIBS+= -lprop
+endif
 
 # This probably applies for any pkgsrc based system
 ifneq (, $(filter $(OS), NetBSD DragonFly))
 CFLAGS+=-I/usr/pkg/include/
 LDFLAGS+=-L/usr/pkg/lib/
 endif
-
-ifeq ($(OS), NetBSD)
-LIBS+= -lprop
-endif
-
 
 V ?= 0
 ifeq ($(V),0)
@@ -103,7 +104,7 @@
 release:
 	[ -f i3status-${VERSION} ] || rm -rf i3status-${VERSION}
 	mkdir i3status-${VERSION}
-	find . -maxdepth 1 -type f \( -regex ".*\.\(c\|conf\|h\)" -or -name "Makefile" -or -name "LICENSE" -or -name "CHANGELOG" \) -exec cp '{}' i3status-${VERSION} \;
+	find . -maxdepth 1 -type f \( -regex ".*\.\(c\|conf\|h\)" -or -name "README" -or -name "Makefile" -or -name "LICENSE" -or -name "CHANGELOG" \) -exec cp '{}' i3status-${VERSION} \;
 	mkdir i3status-${VERSION}/src
 	mkdir i3status-${VERSION}/man
 	find src -maxdepth 1 -type f \( -regex ".*\.\(c\|h\)" \) -exec cp '{}' i3status-${VERSION}/src \;

=== debian/changelog ===
i3status (2.9-2) unstable; urgency=medium

  * experimental to unstable because i3status 2.9-1 was only in experimental
    due to the freeze.

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 18 May 2015 18:37:13 +0200

i3status (2.9-1) experimental; urgency=low

  * New upstream release
  * switch to machine-readable debian/copyright
  * bump standards-version to 3.9.6 (no changes necessary)

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 22 Mar 2015 18:59:38 +0100

=== debian/control ===
Source: i3status
Section: utils
Priority: extra
Maintainer: Michael Stapelberg <stapelberg@debian.org>
Build-Depends: debhelper (>= 9), libiw-dev [linux-any], libconfuse-dev, asciidoc, xmlto, libcap2-bin [linux-any], libasound2-dev [linux-any], libbsd-dev [kfreebsd-any], libyajl-dev
Standards-Version: 3.9.6
Homepage: http://i3wm.org/i3status
Vcs-Git: git://anonscm.debian.org/users/stapelberg/i3status.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/stapelberg/i3status.git

Package: i3status
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: dzen2 | xmobar | i3-wm, libcap2-bin [linux-any]
Enhances: dzen2, xmobar, i3-wm
Description: Generates a status line for dzen2, xmobar or i3bar
 i3status is a small (about 3000 SLOC) and light-weight program for generating
 a status bar for i3bar, dzen2, xmobar or similar programs by combining several
 information about your system (IP addresses of your interfaces, load, current
 date/time, ESSID of the network you are associated to, disk status, and so on).

## i3status 2.10

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,8 @@
 ifndef PREFIX
   PREFIX=/usr
+endif
+ifndef MANPREFIX
+  MANPREFIX=$(PREFIX)
 endif
 ifndef SYSCONFDIR
   ifeq ($(PREFIX),/usr)
@@ -18,15 +21,18 @@
 CFLAGS+=-Iinclude
 LIBS+=-lconfuse
 LIBS+=-lyajl
+LIBS+=-lpulse
+LIBS+=-lm
 
-VERSION=2.9
-GIT_VERSION="2.9 (2015-03-22)"
+VERSION=2.10
+GIT_VERSION="2.10 (2016-01-01)"
 OS:=$(shell uname)
 
 ifeq ($(OS),Linux)
 CPPFLAGS+=-DLINUX
 CPPFLAGS+=-D_GNU_SOURCE
-LIBS+=-liw
+CFLAGS += $(shell pkg-config --cflags libnl-genl-3.0)
+LIBS += $(shell pkg-config --libs libnl-genl-3.0)
 LIBS+=-lasound
 endif
 
@@ -39,12 +45,8 @@
 LDFLAGS+=-L/usr/local/lib/
 endif
 
-ifeq ($(OS),OpenBSD)
-LIBS+=-lossaudio
-endif
-
-ifeq ($(OS), NetBSD)
-LIBS+= -lprop
+ifeq ($(OS),NetBSD)
+LIBS+=-lprop
 endif
 
 # This probably applies for any pkgsrc based system
@@ -67,6 +69,11 @@
 
 OBJS:=$(wildcard src/*.c *.c)
 OBJS:=$(OBJS:.c=.o)
+
+ifeq ($(OS),OpenBSD)
+OBJS:=$(filter-out src/pulse.o, $(OBJS))
+LIBS:=$(filter-out -lpulse, $(LIBS)) -lpthread
+endif
 
 src/%.o: src/%.c include/i3status.h
 	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o $@ $<
@@ -94,17 +101,17 @@
 install:
 	install -m 755 -d $(DESTDIR)$(PREFIX)/bin
 	install -m 755 -d $(DESTDIR)$(SYSCONFDIR)
-	install -m 755 -d $(DESTDIR)$(PREFIX)/share/man/man1
+	install -m 755 -d $(DESTDIR)$(MANPREFIX)/share/man/man1
 	install -m 755 i3status $(DESTDIR)$(PREFIX)/bin/i3status
 	# Allow network configuration for getting the link speed
 	(which setcap && setcap cap_net_admin=ep $(DESTDIR)$(PREFIX)/bin/i3status) || true
 	install -m 644 i3status.conf $(DESTDIR)$(SYSCONFDIR)/i3status.conf
-	install -m 644 man/i3status.1 $(DESTDIR)$(PREFIX)/share/man/man1
+	install -m 644 man/i3status.1 $(DESTDIR)$(MANPREFIX)/share/man/man1
 
 release:
 	[ -f i3status-${VERSION} ] || rm -rf i3status-${VERSION}
 	mkdir i3status-${VERSION}
-	find . -maxdepth 1 -type f \( -regex ".*\.\(c\|conf\|h\)" -or -name "README" -or -name "Makefile" -or -name "LICENSE" -or -name "CHANGELOG" \) -exec cp '{}' i3status-${VERSION} \;
+	find . -maxdepth 1 -type f \( -regex ".*\.\(c\|conf\|h\)" -or -name "README.md" -or -name "Makefile" -or -name "LICENSE" -or -name "CHANGELOG" \) -exec cp '{}' i3status-${VERSION} \;
 	mkdir i3status-${VERSION}/src
 	mkdir i3status-${VERSION}/man
 	find src -maxdepth 1 -type f \( -regex ".*\.\(c\|h\)" \) -exec cp '{}' i3status-${VERSION}/src \;

=== man/Makefile ===
all: i3status.1

A2X?=a2x
A2X_FLAGS=

i3status.1: asciidoc.conf i3status.man
	${A2X} -f manpage --asciidoc-opts="-f asciidoc.conf" ${A2X_FLAGS} i3status.man
clean:
	rm -f i3status.xml i3status.1 i3status.html

=== debian/changelog ===
i3status (2.10-1build1) yakkety; urgency=medium

  * No-change rebuild against libconfuse1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 02 Jul 2016 00:07:22 +0000

i3status (2.10-1) unstable; urgency=medium

  * New upstream release

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 01 Jan 2016 20:01:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,20 @@
 Source: i3status
 Section: utils
 Priority: extra
-Maintainer: Michael Stapelberg <stapelberg@debian.org>
-Build-Depends: debhelper (>= 9), libiw-dev [linux-any], libconfuse-dev, asciidoc, xmlto, libcap2-bin [linux-any], libasound2-dev [linux-any], libbsd-dev [kfreebsd-any], libyajl-dev
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michael Stapelberg <stapelberg@debian.org>
+Build-Depends: debhelper (>= 9),
+               libiw-dev [linux-any],
+               libconfuse-dev,
+               asciidoc,
+               xmlto,
+               libcap2-bin [linux-any],
+               libasound2-dev [linux-any],
+               libbsd-dev [kfreebsd-any],
+               libyajl-dev,
+               libnl-genl-3-dev [linux-any],
+               libpulse-dev,
+               pkg-config
 Standards-Version: 3.9.6
 Homepage: http://i3wm.org/i3status
 Vcs-Git: git://anonscm.debian.org/users/stapelberg/i3status.git

## i3status 2.11

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,5 @@
+TOPDIR=$(shell pwd)
+
 ifndef PREFIX
   PREFIX=/usr
 endif
@@ -17,15 +19,22 @@
 CFLAGS+=-std=gnu99
 CFLAGS+=-pedantic
 CPPFLAGS+=-DSYSCONFDIR=\"$(SYSCONFDIR)\"
-CPPFLAGS+=-DVERSION=\"${GIT_VERSION}\"
+CPPFLAGS+=-DVERSION=\"${I3STATUS_VERSION}\"
 CFLAGS+=-Iinclude
 LIBS+=-lconfuse
 LIBS+=-lyajl
 LIBS+=-lpulse
 LIBS+=-lm
+LIBS+=-lpthread
 
-VERSION=2.10
-GIT_VERSION="2.10 (2016-01-01)"
+ifeq ($(wildcard .git),)
+  # not in git repository
+  VERSION := $(shell [ -f $(TOPDIR)/I3STATUS_VERSION ] && cat $(TOPDIR)/I3STATUS_VERSION | cut -d '-' -f 1)
+  I3STATUS_VERSION := '$(shell [ -f $(TOPDIR)/I3STATUS_VERSION ] && cat $(TOPDIR)/I3STATUS_VERSION)'
+else
+  VERSION:=$(shell git describe --tags --abbrev=0)
+  I3STATUS_VERSION:="$(shell git describe --tags --always) ($(shell git log --pretty=format:%cd --date=short -n1))"
+endif
 OS:=$(shell uname)
 
 ifeq ($(OS),Linux)
@@ -67,12 +76,12 @@
 # YAJL_MAJOR from that file to decide which code path should be used.
 CFLAGS += -idirafter yajl-fallback
 
-OBJS:=$(wildcard src/*.c *.c)
+OBJS:=$(sort $(wildcard src/*.c *.c))
 OBJS:=$(OBJS:.c=.o)
 
 ifeq ($(OS),OpenBSD)
 OBJS:=$(filter-out src/pulse.o, $(OBJS))
-LIBS:=$(filter-out -lpulse, $(LIBS)) -lpthread
+LIBS:=$(filter-out -lpulse, $(LIBS))
 endif
 
 src/%.o: src/%.c include/i3status.h
@@ -119,6 +128,6 @@
 	cp -r include i3status-${VERSION}
 	cp -r yajl-fallback i3status-${VERSION}
 	cp -r contrib i3status-${VERSION}
-	sed -e 's/^GIT_VERSION:=\(.*\)/GIT_VERSION=${GIT_VERSION}/g;s/^VERSION:=\(.*\)/VERSION=${VERSION}/g' Makefile > i3status-${VERSION}/Makefile
+	echo ${I3STATUS_VERSION} > i3status-${VERSION}/I3STATUS_VERSION
 	tar cjf i3status-${VERSION}.tar.bz2 i3status-${VERSION}
 	rm -rf i3status-${VERSION}

=== debian/changelog ===
i3status (2.11-1build1) bionic; urgency=medium

  * No-change rebuild against libconfuse2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Dec 2017 16:16:32 +0000

i3status (2.11-1) unstable; urgency=medium

  * New upstream version 2.11
  * drop kfreebsd-ftbfs.patch (merged upstream)
  * drop reproducible-build.patch (merged upstream)
  * use secure URLs
  * postinst: use command -v to check for setcap presence
  * copyright: only include license once
  * enable all hardening
  * bump standards-version (no changes necessary)

 -- Michael Stapelberg <stapelberg@debian.org>  Sat, 21 Jan 2017 15:42:57 +0100

i3status (2.10-3) unstable; urgency=medium

  * Add debian/patches/reproducible-build.patch (by Reiner Herrmann)
    (Closes: #842867)

 -- Michael Stapelberg <stapelberg@debian.org>  Wed, 02 Nov 2016 09:40:40 +0100

i3status (2.10-2) unstable; urgency=medium

  * Fix FTBFS on kfreebsd/hurd (Patch by Axel Beckert) (Closes: #826833)

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 22 Aug 2016 08:53:08 +0200

=== debian/control ===
--- 
+++ 
@@ -15,10 +15,10 @@
                libnl-genl-3-dev [linux-any],
                libpulse-dev,
                pkg-config
-Standards-Version: 3.9.6
-Homepage: http://i3wm.org/i3status
-Vcs-Git: git://anonscm.debian.org/users/stapelberg/i3status.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/stapelberg/i3status.git
+Standards-Version: 3.9.8
+Homepage: https://i3wm.org/i3status
+Vcs-Git: https://anonscm.debian.org/git/users/stapelberg/i3status.git
+Vcs-Browser: https://anonscm.debian.org/cgit/users/stapelberg/i3status.git/
 
 Package: i3status
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 
 # for verbose builds
 export V:=1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 override_dh_auto_build:
 	$(MAKE)

## i3status 2.12

=== Makefile ===
--- 
+++ 
@@ -14,6 +14,7 @@
   endif
 endif
 
+PKG_CONFIG ?= pkg-config
 CFLAGS+=-Wall -Wshadow -Wpointer-arith -Wcast-qual -Wsign-compare
 CFLAGS+=-g
 CFLAGS+=-std=gnu99
@@ -40,8 +41,8 @@
 ifeq ($(OS),Linux)
 CPPFLAGS+=-DLINUX
 CPPFLAGS+=-D_GNU_SOURCE
-CFLAGS += $(shell pkg-config --cflags libnl-genl-3.0)
-LIBS += $(shell pkg-config --libs libnl-genl-3.0)
+CFLAGS += $(shell $(PKG_CONFIG) --cflags libnl-genl-3.0)
+LIBS += $(shell $(PKG_CONFIG) --libs libnl-genl-3.0)
 LIBS+=-lasound
 endif

=== debian/changelog ===
i3status (2.12-1) unstable; urgency=medium

  * Move the repository to salsa
  * New upstream version 2.12
  * drop patches (applied upstream)
  * bump dh compat level
  * switch to secure debian/copyright URI
  * bump standards-version (no changes necessary)
  * switch to secure URI in debian/watch
  * Priority: extra is now optional

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 11 May 2018 11:45:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: i3status
 Section: utils
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michael Stapelberg <stapelberg@debian.org>
-Build-Depends: debhelper (>= 9),
+Priority: optional
+Maintainer: Michael Stapelberg <stapelberg@debian.org>
+Build-Depends: debhelper (>= 11),
                libiw-dev [linux-any],
                libconfuse-dev,
                asciidoc,
@@ -15,10 +14,10 @@
                libnl-genl-3-dev [linux-any],
                libpulse-dev,
                pkg-config
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: https://i3wm.org/i3status
-Vcs-Git: https://anonscm.debian.org/git/users/stapelberg/i3status.git
-Vcs-Browser: https://anonscm.debian.org/cgit/users/stapelberg/i3status.git/
+Vcs-Git: https://salsa.debian.org/stapelberg/i3status.git
+Vcs-Browser: https://salsa.debian.org/stapelberg/i3status
 
 Package: i3status
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,6 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-override_dh_auto_build:
-	$(MAKE)
-
 override_dh_install:
 	$(MAKE) DESTDIR=$(CURDIR)/debian/i3status/ install
 	dh_install

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
  https://i3wm.org/i3status/	.*/i3status/i3status-(\d[\d_.-]+)\.tar\.bz2$

## i3status 2.13

=== debian/changelog ===
i3status (2.13-3~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 26 Sep 2020 16:19:34 -0700

i3status (2.13-3) unstable; urgency=medium

  * Drop CAP_NET_ADMIN from i3status (Closes: #959130)
  * Switch to debhelper-compat
  * Bump Standards-Version (no changes needed)
  * Add R³: no

 -- Jakob Haufe <sur5r@debian.org>  Thu, 07 May 2020 19:20:01 +0000

i3status (2.13-2) unstable; urgency=medium

  * Fix FTBFS on kfreebsd and hurd

 -- Jakob Haufe <sur5r@debian.org>  Sat, 13 Jul 2019 21:00:55 +0000

i3status (2.13-1) unstable; urgency=medium

  * New upstream version 2.13
  * Use subdirectory for build
  * Drop override_dh_install
  * Disable tests for now
  * Add myself to Uploaders
  * Bump Standards-Version

 -- Jakob Haufe <sur5r@debian.org>  Thu, 11 Jul 2019 05:35:11 +0000

=== debian/control ===
Source: i3status
Section: utils
Priority: optional
Maintainer: Michael Stapelberg <stapelberg@debian.org>
Uploaders: Jakob Haufe <sur5r@debian.org>
Build-Depends: asciidoc,
               debhelper-compat (= 12),
               libasound2-dev [linux-any],
               libbsd-dev [kfreebsd-any],
               libconfuse-dev,
               libiw-dev [linux-any],
               libnl-genl-3-dev [linux-any],
               libpulse-dev,
               libyajl-dev,
               pkg-config,
               xmlto
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://i3wm.org/i3status
Vcs-Git: https://salsa.debian.org/stapelberg/i3status.git
Vcs-Browser: https://salsa.debian.org/stapelberg/i3status

Package: i3status
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 i3-wm | dzen2 | xmobar | i3-wm
Enhances: dzen2, i3-wm, xmobar
Description: Generates a status line for dzen2, xmobar or i3bar
 i3status is a small (about 3000 SLOC) and light-weight program for generating
 a status bar for i3bar, dzen2, xmobar or similar programs by combining several
 data displays about your system (IP addresses of your interfaces, load, current
 date/time, ESSID of the network you are associated to, disk status, and so on).

=== debian/rules ===
#!/usr/bin/make -f
# vim:ts=8:sw=8:noexpandtab

# for verbose builds
export V:=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_auto_test:

override_dh_strip:
	dh_strip --no-automatic-dbgsym

%:
	dh $@ --builddirectory=build

## i3status 2.14

=== debian/changelog ===
i3status (2.14-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:59:33 +1100

i3status (2.14-2build1) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 06:37:08 +0000

i3status (2.14-2) unstable; urgency=medium

  * Update Vcs-*
  * Bump Standards-Version

 -- Jakob Haufe <sur5r@debian.org>  Thu, 29 Dec 2022 02:28:32 +0100

i3status (2.14-1) unstable; urgency=medium

  * New upstream version 2.14
  * Fix package relations (Closes: #968958)

 -- Jakob Haufe <sur5r@debian.org>  Mon, 06 Jun 2022 22:17:24 +0000

=== debian/control ===
Source: i3status
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Michael Stapelberg <stapelberg@debian.org>
Uploaders: Jakob Haufe <sur5r@debian.org>
Build-Depends: debhelper-compat (= 13),
               libconfuse-dev,
               asciidoc,
               xmlto,
               libasound2-dev [linux-any],
               libbsd-dev [kfreebsd-any],
               libyajl-dev,
               libnl-genl-3-dev [linux-any],
               libpulse-dev,
               meson,
               pkg-config
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://i3wm.org/i3status
Vcs-Git: https://salsa.debian.org/i3-team/i3status.git
Vcs-Browser: https://salsa.debian.org/i3-team/i3status

Package: i3status
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Enhances: dzen2, xmobar, i3-wm, sway
Description: Generates a status line for dzen2, xmobar or i3bar
 i3status is a small (about 3000 SLOC) and light-weight program for generating
 a status bar for i3bar, dzen2, xmobar or similar programs by combining several
 information about your system (IP addresses of your interfaces, load, current
 date/time, ESSID of the network you are associated to, disk status, and so on).

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
  https://i3wm.org/i3status/	.*/i3status/i3status-(\d[\d_.-]+)\.tar\..*$

## i3status 2.15

=== meson_options.txt ===
# -*- mode: meson -*-

option('docs', type: 'boolean', value: false,
       description: 'Build documentation from source (release tarballs contain a generated copy)')

option('mans', type: 'boolean', value: false,
       description: 'Build manpages from source (release tarballs contain a generated copy)')

option('docdir', type: 'string', value: '',
       description: 'documentation directory (default: $datadir/docs/i3)')

option('pulseaudio', type: 'boolean', value: true,
       description: 'Build with pulseaudio support')

=== debian/changelog ===
i3status (2.15-2) unstable; urgency=medium

  * Split Build-Depends
  * Use pkgconf instead of pkg-config
  * Bump Standards-Version
  * Update d/u/metadata
  * Update d/copyright
  * Document team maintenance
  * Update upstream signing key

 -- Jakob Haufe <sur5r@debian.org>  Tue, 15 Apr 2025 10:27:25 +0200

i3status (2.15-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit (from ./configure).

  [ Jakob Haufe ]
  * New upstream version 2.15

 -- Jakob Haufe <sur5r@debian.org>  Sat, 14 Sep 2024 17:46:41 +0200

=== debian/control ===
Source: i3status
Section: utils
Priority: optional
Maintainer: Debian i3 maintainers <team+i3@tracker.debian.org>
Uploaders: Jakob Haufe <sur5r@debian.org>,
           Michael Stapelberg <stapelberg@debian.org>,
Build-Depends: debhelper-compat (= 13),
Build-Depends-Arch: asciidoc,
                    libasound2-dev [linux-any],
                    libbsd-dev [kfreebsd-any],
                    libconfuse-dev,
                    libnl-genl-3-dev [linux-any],
                    libpulse-dev,
                    libyajl-dev,
                    meson,
                    pkgconf,
                    xmlto,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://i3wm.org/i3status
Vcs-Git: https://salsa.debian.org/i3-team/i3status.git
Vcs-Browser: https://salsa.debian.org/i3-team/i3status

Package: i3status
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Enhances: dzen2,
          i3-wm,
          sway,
          xmobar,
Description: Generates a status line for dzen2, xmobar or i3bar
 i3status is a small (about 3000 SLOC) and light-weight program for generating
 a status bar for i3bar, dzen2, xmobar or similar programs by combining several
 information about your system (IP addresses of your interfaces, load, current
 date/time, ESSID of the network you are associated to, disk status, and so on).
